function Create(self)
	self.Glovatrix = CreateHDFirearm("Glovatrix","SWAT Kats.rte");
	ConsoleMan:PrintString(tostring(self.Glovatrix.ID));
	--self:AddInventoryItem(MovableMan:GetMOFromID(self.Glovatrix.ID));
	MovableMan:AddItem(self.Glovatrix);
	self.Glovatrix.Pos = self.Pos;
	self.GlovMode = 0;
	self.GlovWeaponLimit = 2;
	self.RefireTimer = Timer();
	self.RefireDelay = 0;
	self.GlovModeChanging = false;
	self.GlovMuzzle = Vector(20,0);
end

function Update(self)
	self.Glovatrix.Frame = self.GlovMode;
	if self:HasObject("Glovatrix") then --I can haz Glovatrix!
		if ToAttachable(self.Glovatrix):IsAttached() then -- A Glovatrix in hand!
			if self:GetController():IsState(Controller.BODY_CROUCH) and self:GetController():IsState(Controller.WEAPON_CHANGE_NEXT) then
				self.GlovMode = self.GlovMode + 1;
				self.GlovModeChanging = true;
				self:GetController():SetState(Controller.WEAPON_CHANGE_NEXT,false);
				if self.GlovMode > self.GlovWeaponLimit then
					self.GlovMode = 0;
				end
				ConsoleMan:PrintString("Glovatrix weapon switched! New mode:");
				ConsoleMan:PrintString(tostring(self.GlovMode));
			end
			if self:GetController():IsState(Controller.BODY_CROUCH) and self:GetController():IsState(Controller.WEAPON_CHANGE_PREV) then
				self.GlovMode = self.GlovMode - 1;
				self.GlovModeChanging = true;
				self:GetController():SetState(Controller.WEAPON_CHANGE_PREV,false);
				if self.GlovMode < 0 then
					self.GlovMode = self.GlovWeaponLimit;
				end
				ConsoleMan:PrintString("Glovatrix weapon switched! New mode:");
				ConsoleMan:PrintString(tostring(self.GlovMode));
			end
			if self.GlovModeChanging then
				if not MovableMan:IsParticle(self.GlovSel) then
					self.GlovSel = CreateMOSParticle("Glovatrix Mode Display","SWAT Kats.rte");
					MovableMan:AddParticle(self.GlovSel);
				end
				self.GlovSel.Pos = self.Pos + Vector(0,-60);
				self.GlovSel.Frame = self.GlovMode;
			end
			if not self.GlovModeChanging then
				if MovableMan:IsParticle(self.GlovSel) then
					MovableMan:RemoveParticle(self.GlovSel);
				end
			end
			
			if self:GetController():IsState(Controller.WEAPON_FIRE) then
				self:GetController():SetState(Controller.WEAPON_FIRE,false);
				if self.RefireTimer.ElapsedSimTimeMS > self.RefireDelay then
					if self.GlovMode == 0 then
						self.p = CreateMOPixel("Mini Turboblade","SWAT Kats.rte");
						self.a = ToActor(self):GetAimAngle(true);
						self.p.Pos = self.Glovatrix.Pos + Vector(math.cos(self.a)*20,math.sin(self.a)*-20);
						self.p.Vel = Vector(math.cos(self.a)*80,math.sin(self.a)*-80);
						MovableMan:AddMO(self.p);
						self.RefireDelay = 500;
						self.RefireTimer:Reset();
					elseif self.GlovMode == 1 then
						self.p = CreateAEmitter("Mini Cement Slug","SWAT Kats.rte");
						self.a = ToActor(self):GetAimAngle(true);
						self.p.Pos = self.Glovatrix.Pos + Vector(math.cos(self.a)*20,math.sin(self.a)*-20);
						self.p.Vel = Vector(math.cos(self.a)*60,math.sin(self.a)*-60);
						self.p.RotAngle = self.a;
						MovableMan:AddMO(self.p);
						self.RefireDelay = 250;
						self.RefireTimer:Reset();
					elseif self.GlovMode == 2 then
						self.p = CreateTDExplosive("Mini Octopus Closed","SWAT Kats.rte");
						self.a = ToActor(self):GetAimAngle(true);
						self.p.Pos = self.Glovatrix.Pos + Vector(math.cos(self.a)*20,math.sin(self.a)*-20);
						self.p.Vel = Vector(math.cos(self.a)*40,math.sin(self.a)*-40);
						self.p.RotAngle = self.a;
						MovableMan:AddMO(self.p);
						self.p:Activate();
						self.RefireDelay = 1000;
						self.RefireTimer:Reset();
					end
				end
				self.GlovModeChanging = false;
			end
		else --if Glovatrix is in inventory, but not held
			if MovableMan:IsParticle(self.GlovSel) then
				MovableMan:RemoveParticle(self.GlovSel);
			end
		end
	end --end I can haz Glovatrix!
	if UInputMan:KeyPressed(18) then
		self:ReloadScripts();
		ConsoleMan:PrintString("Scripts for SWAT Kat reloaded");
	end
end